Summary:	Control paper size in applications
Summary(pl.UTF-8):	Zarządzanie rozmiarem papieru w aplikacjach
Name:		libpaper
Version:	1.1.29
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://ftp.debian.org/debian/pool/main/libp/libpaper/%{name}_%{version}.tar.gz
# Source0-md5:	7eeaca882da67489e92a1fa97e266892
URL:		http://packages.debian.org/unstable/source/libpaper
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.316
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libpaper and accompanying files are intended to provide a simple way
for applications to take actions based on a system- or user-specified
paper size.

%description -l pl.UTF-8
libpaper wraz z towarzyszącymi plikami pozwalają aplikacjom w prosty
sposób podejmować akcje oparte na określonym przez system lub
użytkownika rozmiarze papieru.

%package devel
Summary:	Header files for libpaper library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libpaper
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libpaper library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libpaper.

%package static
Summary:	Static libpaper library
Summary(pl.UTF-8):	Statyczna biblioteka libpaper
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libpaper library.

%description static -l pl.UTF-8
Statyczna biblioteka libpaper.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/env.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo 'a4' > $RPM_BUILD_ROOT%{_sysconfdir}/papersize
echo '#PAPERSIZE=a4' > $RPM_BUILD_ROOT/etc/env.d/PAPERSIZE

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%env_update

%postun
/sbin/ldconfig
%env_update

%files
%defattr(644,root,root,755)
%doc ChangeLog README debian/changelog
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/PAPERSIZE
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/papersize
%attr(755,root,root) %{_bindir}/paperconf
%attr(755,root,root) %{_sbindir}/paperconfig
%attr(755,root,root) %{_libdir}/libpaper.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpaper.so.1
%{_mandir}/man1/paperconf.1*
%{_mandir}/man5/papersize.5*
%{_mandir}/man8/paperconfig.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpaper.so
%{_libdir}/libpaper.la
%{_includedir}/paper.h
%{_mandir}/man3/defaultpaper*.3*
%{_mandir}/man3/paper*.3*
%{_mandir}/man3/systempaper*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libpaper.a
%changelog
* Fri Oct 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libpaper.git;a=log;h=master

* Fri Oct 06 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> cf8f181
- Up to 1.1.29

* Thu Sep 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 6f283ad
- updated to 1.1.28

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> cb52ba9
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jul 01 2010 Jakub Bogusz <qboosh@pld-linux.org> 0b490e7
- more verbose files
- ac version

* Fri Jun 04 2010 Elan Ruusamäe <glen@pld-linux.org> 9c26608
- adapter

* Mon Apr 26 2010 lisu <lisu@pld-linux.org> 3329b52
- 1.1.24

* Sat Jul 05 2008 shadzik <shadzik@pld-linux.org> f5991c0
- don't attr() symlinks

* Sat Jul 05 2008 shadzik <shadzik@pld-linux.org> cfeba5d
- ghost symlink

* Mon Oct 08 2007 lisu <lisu@pld-linux.org> 4bffc96
- 1.1.23

* Sun Aug 12 2007 lisu <lisu@pld-linux.org> 049f8df
- 1.1.22

* Sat Jul 07 2007 Jakub Bogusz <qboosh@pld-linux.org> b66bb18
- env_update needs shell
- more verbose files, man3 pages moved to -devel

* Thu Jul 05 2007 Tomasz Pala <gotar@pld-linux.org> 9626fd2
- fixed env.d file

* Thu Jul 05 2007 darekr <darekr@pld-linux.org> 67f236c
- env_update needs macros 1.316

* Thu Jul 05 2007 Tomasz Pala <gotar@pld-linux.org> 748fff2
- added config file and env.d setup

* Wed Jul 04 2007 lisu <lisu@pld-linux.org> 83445ce
- tabs

* Wed Jul 04 2007 lisu <lisu@pld-linux.org> 200edd2
- new

